Full name: projects.locations.extensions.patch
Updates an Extension.
Endpoint
patchhttps://{service-endpoint}/v1beta1/{extension.name}
PATCH https://{service-endpoint}/v1beta1/{extension.name}
Where {service-endpoint} is one of the supported service endpoints.
Path parameters
extension.namestring
Identifier. The resource name of the Extension.
Query parameters
Required. Mask specifying which fields to update. Supported fields:
displayNamedescriptionruntimeConfigtoolUseExamplesmanifest.description
This is a comma-separated list of fully qualified names of fields. Example: "user.displayName,photo".
Request body
The request body contains an instance of Extension.
Response body
If successful, the response body contains an instance of Extension.
IAM Permissions
Requires the following IAM permission on the name resource:
aiplatform.extensions.update
For more information, see the IAM documentation.